import { User } from '@dvn/kimlik/api/models';
import { BaseModel } from '../../../models/base-model';
import { Product } from '../../../models/product';
export class Domain extends BaseModel {
  static decode(json) {
    const item = Object.assign(Object.create(Domain.prototype), json);
    if (item.user)
      item.user = User.decode(item.user);
    if (item.product)
      item.product = Product.decode(item.product);
    return item;
  }
}
